<?php
/**
 * Best Sellers Reloaded v1.0 
 *
 * best_sellers_reloaded module - prepares content for display
 *
 * @package modules
 * @author Alex Clarke (aclarke@ansellandclarke.co.uk)
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: best_sellers_reloaded.php 2007-06-16 aclarke $
 */
if (!defined('IS_ADMIN_FLAG')) {
  die('Illegal Access');
}

$best_sellers_query = "select distinct p.products_id, p.products_image, pd.products_name, p.products_ordered
                      from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd
                      where p.products_status = '1'
                      and p.products_ordered > 0
                      and p.products_id = pd.products_id
                      and pd.language_id = '" . (int)$_SESSION['languages_id'] . "'
                      order by p.products_ordered desc, pd.products_name
                      limit " . MAX_DISPLAY_SEARCH_RESULTS_BEST_SELLERS;

$best_sellers = $db->ExecuteRandomMulti($best_sellers_query, MAX_DISPLAY_SEARCH_RESULTS_BEST_SELLERS);

$row = 0;
$col = 0;
$list_box_contents = array();
$title = '';

$num_products_count = $best_sellers->RecordCount();

// show only when 1 or more
if ($num_products_count > 0) {
  if ($num_products_count < SHOW_PRODUCT_INFO_COLUMNS_BEST_SELLERS || SHOW_PRODUCT_INFO_COLUMNS_BEST_SELLERS == 0) {
    $col_width = floor(100/$num_products_count);
  } else {
    $col_width = floor(100/SHOW_PRODUCT_INFO_COLUMNS_BEST_SELLERS);
  }
  while (!$best_sellers->EOF) {

    $products_price = zen_get_products_display_price($best_sellers->fields['products_id']);

    $list_box_contents[$row][$col] = array('params' =>'class="centerBoxContentsBestSellers centeredContent back"' . ' ' . 'style="width:' . $col_width . '%;"',
    'text' => (($best_sellers->fields['products_image'] == '' and PRODUCTS_IMAGE_NO_IMAGE_STATUS == 0) ? '' : '<a href="' . zen_href_link(zen_get_info_page($best_sellers->fields['products_id']), 'products_id=' . $best_sellers->fields['products_id']) . '">' . zen_image(DIR_WS_IMAGES . $best_sellers->fields['products_image'], $best_sellers->fields['products_name'], IMAGE_BEST_SELLERS_LISTING_WIDTH, IMAGE_BEST_SELLERS_LISTING_HEIGHT) . '</a><br />') . '<a href="' . zen_href_link(zen_get_info_page($best_sellers->fields['products_id']), 'products_id=' . $best_sellers->fields['products_id']) . '">' . $best_sellers->fields['products_name'] . '</a><br />' . $products_price);

    $col ++;
    if ($col > (SHOW_PRODUCT_INFO_COLUMNS_BEST_SELLERS - 1)) {
      $col = 0;
      $row ++;
    }
    $best_sellers->MoveNextRandom();
  }

  if ($best_sellers->RecordCount() > 0) {
    if (isset($new_products_category_id) && $new_products_category_id !=0) {
      $category_title = zen_get_categories_name((int)$new_products_category_id);
      $title = '<h2 class="centerBoxHeading">' . TABLE_HEADING_BEST_SELLERS . ($category_title != '' ? ' - ' . $category_title : '') . '</h2>';
    } else {
      $title = '<h2 class="centerBoxHeading">' . TABLE_HEADING_BEST_SELLERS . '</h2>';
    }
    $zc_show_best_sellers = true;
  }
}
?>